Debian Bug report logs - #587859
coreutils: Please remove type-handling dependency

version graph

Package: coreutils; Maintainer for coreutils is Michael Stone <mstone@debian.org>; Source for coreutils is src:coreutils.

Reported by: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>

Date: Fri, 2 Jul 2010 08:00:08 UTC

Severity: normal

Tags: patch

Found in version coreutils/8.5-1

Fixed in version coreutils/8.13-3.1

Done: Jakub Wilk <jwilk@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#587859; Package coreutils. (Fri, 02 Jul 2010 08:00:11 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
New Bug report received and forwarded. Copy sent to Michael Stone <mstone@debian.org>. (Fri, 02 Jul 2010 08:00:11 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>
To: submit@bugs.debian.org
Subject: coreutils: Please remove type-handling dependency
Date: Fri, 02 Jul 2010 09:58:16 +0200
Package: coreutils
Version: 8.5-1
Severity: normal
User: debian-powerpcspe@breakpoint.cc
Usertags: typehandling

This package uses the keywords linux-gnu or not+linux-gnu in its depends
field in the control file. In particular:
- libacl1-dev | not+linux-gnu
- libattr1-dev | not+linux-gnu
- libselinux1-dev (>= 1.32) | not+linux-gnu

Please be aware that linux-gnu excludes armel which is very likely
not be what you want.
Since Debian Policy 3.9.0.0 architecture wild cards are defined for
Build-Depends(?:-Indep): [0] and Architecture: [1]. You are encouraged
to start using them.
A quick cheat-sheet for the dependency would be:
"$DEPENDENCY | not+linux-gnu" => "$DEPENDENCY [linux-any]"
"$DEPENDENCY | linux-gnu"     => "$DEPENDENCY [!linux-any]"

[0] http://www.debian.org/doc/debian-policy/ch-relationships.html#s-depsyntax
[1] http://www.debian.org/doc/debian-policy/ch-customized-programs.html#s-arch-spec

Sebastian




Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#587859; Package coreutils. (Sat, 19 Nov 2011 04:21:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Guillem Jover <guillem@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Sat, 19 Nov 2011 04:21:07 GMT) Full text and rfc822 format available.

Message #10 received at 587859@bugs.debian.org (full text, mbox):

From: Guillem Jover <guillem@debian.org>
To: Sebastian Andrzej Siewior <sebastian@breakpoint.cc>, 587859@bugs.debian.org
Subject: Re: Bug#587859: coreutils: Please remove type-handling dependency
Date: Sat, 19 Nov 2011 05:20:11 +0100
[Message part 1 (text/plain, inline)]
Hi!

On Fri, 2010-07-02 at 09:58:16 +0200, Sebastian Andrzej Siewior wrote:
> This package uses the keywords linux-gnu or not+linux-gnu in its depends
> field in the control file. In particular:
> - libacl1-dev | not+linux-gnu
> - libattr1-dev | not+linux-gnu
> - libselinux1-dev (>= 1.32) | not+linux-gnu
> 
> Please be aware that linux-gnu excludes armel which is very likely
> not be what you want.
> Since Debian Policy 3.9.0.0 architecture wild cards are defined for
> Build-Depends(?:-Indep): [0] and Architecture: [1]. You are encouraged
> to start using them.
> A quick cheat-sheet for the dependency would be:
> "$DEPENDENCY | not+linux-gnu" => "$DEPENDENCY [linux-any]"
> "$DEPENDENCY | linux-gnu"     => "$DEPENDENCY [!linux-any]"
> 
> [0] http://www.debian.org/doc/debian-policy/ch-relationships.html#s-depsyntax
> [1] http://www.debian.org/doc/debian-policy/ch-customized-programs.html#s-arch-spec

We are planning on removing type-handling (for more detailed reasons
see <http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=274747#132>).

Attached is a patch fixing this.

thanks,
guillem
[coreutils-no-type-handling.patch (text/x-diff, attachment)]

Added tag(s) patch. Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 04:33:05 GMT) Full text and rfc822 format available.

Added indication that bug 587859 blocks 649234 Request was from Guillem Jover <guillem@debian.org> to control@bugs.debian.org. (Sat, 19 Nov 2011 04:33:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Michael Stone <mstone@debian.org>:
Bug#587859; Package coreutils. (Fri, 02 Mar 2012 17:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jakub Wilk <jwilk@debian.org>:
Extra info received and forwarded to list. Copy sent to Michael Stone <mstone@debian.org>. (Fri, 02 Mar 2012 17:03:04 GMT) Full text and rfc822 format available.

Message #19 received at 587859@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 587859@bugs.debian.org
Cc: control@bugs.debian.org
Subject: coreutils: diff for NMU version 8.13-3.1
Date: Fri, 2 Mar 2012 18:01:34 +0100
[Message part 1 (text/plain, inline)]
tags 587859 + pending
thanks

Dear maintainer,

I've prepared an NMU for coreutils (versioned as 8.13-3.1) and uploaded 
it to DELAYED/12. Please feel free to tell me if I should delay it 
longer.

-- 
Jakub Wilk
[coreutils-8.13-3.1-nmu.diff (text/x-diff, attachment)]

Added tag(s) pending. Request was from Jakub Wilk <jwilk@debian.org> to control@bugs.debian.org. (Fri, 02 Mar 2012 17:03:05 GMT) Full text and rfc822 format available.

Reply sent to Jakub Wilk <jwilk@debian.org>:
You have taken responsibility. (Wed, 14 Mar 2012 17:51:12 GMT) Full text and rfc822 format available.

Notification sent to Sebastian Andrzej Siewior <sebastian@breakpoint.cc>:
Bug acknowledged by developer. (Wed, 14 Mar 2012 17:51:12 GMT) Full text and rfc822 format available.

Message #26 received at 587859-close@bugs.debian.org (full text, mbox):

From: Jakub Wilk <jwilk@debian.org>
To: 587859-close@bugs.debian.org
Subject: Bug#587859: fixed in coreutils 8.13-3.1
Date: Wed, 14 Mar 2012 17:47:47 +0000
Source: coreutils
Source-Version: 8.13-3.1

We believe that the bug you reported is fixed in the latest version of
coreutils, which is due to be installed in the Debian FTP archive:

coreutils_8.13-3.1.diff.gz
  to main/c/coreutils/coreutils_8.13-3.1.diff.gz
coreutils_8.13-3.1.dsc
  to main/c/coreutils/coreutils_8.13-3.1.dsc
coreutils_8.13-3.1_i386.deb
  to main/c/coreutils/coreutils_8.13-3.1_i386.deb
mktemp_8.13-3.1_all.deb
  to main/c/coreutils/mktemp_8.13-3.1_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 587859@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jakub Wilk <jwilk@debian.org> (supplier of updated coreutils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Wed, 29 Feb 2012 00:11:27 +0100
Source: coreutils
Binary: coreutils mktemp
Architecture: source all i386
Version: 8.13-3.1
Distribution: unstable
Urgency: low
Maintainer: Michael Stone <mstone@debian.org>
Changed-By: Jakub Wilk <jwilk@debian.org>
Description: 
 coreutils  - GNU core utilities
 mktemp     - coreutils mktemp transitional package
Closes: 587859
Changes: 
 coreutils (8.13-3.1) unstable; urgency=low
 .
   * Non-maintainer upload.
   * Use architecture wildcards instead of type-handling virtual packages in
     Build-Depends (closes: #587859). Thanks to Sebastian Andrzej Siewior for
     the bug report and Guillem Jover for the patch.
Checksums-Sha1: 
 f8c4ae59d35f5a2e26d9909e4e2b9372a1027c78 1873 coreutils_8.13-3.1.dsc
 b02ec4a59d48ed67da99973f511ce8781b4f8ee0 923466 coreutils_8.13-3.1.diff.gz
 571ed3a89649acca7c7eb03930647b673bd56f08 15314 mktemp_8.13-3.1_all.deb
 6f7f9a008bf03fa493574cda436f0a2982df0911 5427514 coreutils_8.13-3.1_i386.deb
Checksums-Sha256: 
 c90a1921cfea2105280d7ef62bc51941eb658189bc27b624c14703fd505efbae 1873 coreutils_8.13-3.1.dsc
 02d4bed1c5baed146ad13b9ef4888f38b63e19054b30ff463f9d8f2b0bc4c5ff 923466 coreutils_8.13-3.1.diff.gz
 3c86c52851428123b0c1f96d0f85fabb8b33e5115024dcde203a04d37770a0a6 15314 mktemp_8.13-3.1_all.deb
 65cb76b131a15720e3f25a20dffe7b60e39d2de7ae926d1cdc9e5a258133d7bd 5427514 coreutils_8.13-3.1_i386.deb
Files: 
 a6e66f965652f975d52cb7f1c63366aa 1873 utils required coreutils_8.13-3.1.dsc
 d9665e5c95ce07349f40c77cce14a73b 923466 utils required coreutils_8.13-3.1.diff.gz
 ee143c7f47f36f76f151c7118b92e7d3 15314 oldlibs extra mktemp_8.13-3.1_all.deb
 8422ed264eb23ad0a9962ff8a0d0a939 5427514 utils required coreutils_8.13-3.1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.12 (GNU/Linux)

iQIcBAEBCAAGBQJPUPxRAAoJEC1Os6YBVHX1NJ8P/iqlNq9lNQYy5lNy2gGnlcj0
13X+Mf3dorUhAVKr3Vol14GoejpSuOVZj5nHnBZ5HBE6rvaQOuq3Scc8huXf+Nqc
euO5ydThcifrNFRQX6D3lPdvhS9dSKnpideszt61Glb5w+p/F99n457o22EvHVCt
Pkwb4JUb2gUHD6Yw+5rn/uTtd8Q6e1XsPnOBW4VZNCkq8uuFyu5C9Qj3iawJ5uXE
nGhDyWo2KwVkWAQljoET7WMC/9F9wHzVKmBbK3uofzuqOUEScNBsucA98Rh6t7Om
BxPwP0sDzoxoRlBXB+pZ9LhvHib/yIsz4F4gAY4Me1nZZrC/yjAjaTK9dEcq6TYj
gXwxgG+DiXKB0pDn9tqCZGOm7hSWUjqAEr+U16ROD3yE7S1mHOP3Irnl8U5ygC0A
HZSdyXgTCvKYwbcLZRuPMldT+yyg7midquLjFURvlQ04EXXAa0yZdZUQWdwTVrMC
vLQJlkb4jex2qohA3A4mce+2+/pP6D18sIzZXWwLH1+Yq2XcDe8Ol7PcAyi1lMb8
MHiPNuAOwW5myRQJqna+DNf8RYZ1DaErbBfDA5X+nWMb+6sBKLKolxOG7Kt0AA0T
Xq0OU9XvCDOr5c8AhSv6HY1KhriyF1YOZv8XoEpKLuwDEwIevcgLv7PiOJxrK+Tv
ZJYV8Fz71/GDwHs65EeY
=1JRy
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 08 May 2012 07:40:06 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 17:03:25 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.